Extract document data
curl --request POST \
--url https://api.txcloud.io/v1/identity/extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_front": "aSDinaTvuI8gbWludGxpZnk=",
"document_type": "<string>",
"country": "<string>",
"document_back": "aSDinaTvuI8gbWludGxpZnk="
}
'import requests
url = "https://api.txcloud.io/v1/identity/extract"
payload = {
"document_front": "aSDinaTvuI8gbWludGxpZnk=",
"document_type": "<string>",
"country": "<string>",
"document_back": "aSDinaTvuI8gbWludGxpZnk="
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_front: 'aSDinaTvuI8gbWludGxpZnk=',
document_type: '<string>',
country: '<string>',
document_back: 'aSDinaTvuI8gbWludGxpZnk='
})
};
fetch('https://api.txcloud.io/v1/identity/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "identity.extraction",
"extracted_data": {
"document_number": "AE123456",
"first_name": "Mohammed",
"last_name": "El Amrani",
"first_name_arabic": "<string>",
"last_name_arabic": "<string>",
"date_of_birth": "2023-12-25",
"gender": "M",
"nationality": "<string>",
"issue_date": "2023-12-25",
"expiry_date": "2023-12-25",
"address": "<string>",
"place_of_birth": "<string>",
"mrz": "<string>",
"field_confidences": {}
},
"field_confidences": {},
"quality_score": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {}
}Verification
Extract document data
Extracts data from an identity document using OCR without performing face matching or liveness checks.
Useful for pre-filling forms or document validation.
POST
/
identity
/
extract
Extract document data
Authorizations
API key as Bearer token
Body
application/json